summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorMichael Biebl <biebl@debian.org>2013-05-06 23:42:52 +0200
committerMichael Biebl <biebl@debian.org>2013-05-06 23:42:52 +0200
commitd5e3be17e7d29f5464bf8ed0130e92928ad099e8 (patch)
tree3c8923b52b1eff433b72d97ebb432c4ed9b840bd /tools
parent4b0c6b727da98c61470fa2de20396ba6f284c417 (diff)
downloadrsyslog-d5e3be17e7d29f5464bf8ed0130e92928ad099e8.tar.gz
Imported Upstream version 7.3.14upstream/7.3.14
Diffstat (limited to 'tools')
-rw-r--r--tools/Makefile.am16
-rw-r--r--tools/Makefile.in193
-rw-r--r--tools/omfile.c2
-rw-r--r--tools/rscryutil.1205
-rw-r--r--tools/rsgtutil.1182
5 files changed, 71 insertions, 527 deletions
diff --git a/tools/Makefile.am b/tools/Makefile.am
index c600d6d..9a1497c 100644
--- a/tools/Makefile.am
+++ b/tools/Makefile.am
@@ -1,5 +1,7 @@
sbin_PROGRAMS =
bin_PROGRAMS =
+CLEANFILES =
+man1_MANS =
man_MANS = rsyslogd.8 rsyslog.conf.5
sbin_PROGRAMS += rsyslogd
@@ -40,9 +42,8 @@ rsyslogd_CPPFLAGS = $(PTHREADS_CFLAGS) $(RSRT_CFLAGS)
# note: it looks like librsyslog.la must be explicitely given on LDDADD,
# otherwise dependencies are not properly calculated (resulting in a
# potentially incomplete build, a problem we had several times...)
-rsyslogd_LDADD = ../grammar/libgrammar.la ../runtime/librsyslog.la $(ZLIB_LIBS) $(PTHREADS_LIBS) $(RSRT_LIBS) $(SOL_LIBS) $(LIBEE_LIBS) $(LIBLOGNORM_LIBS) $(LIBUUID_LIBS)
-rsyslogd_LDFLAGS = -export-dynamic `libgcrypt-config --libs`
-#rsyslogd_LDFLAGS = -export-dynamic $(LIBGCRYPT_LIBS)
+rsyslogd_LDADD = ../grammar/libgrammar.la ../runtime/librsyslog.la $(ZLIB_LIBS) $(PTHREADS_LIBS) $(RSRT_LIBS) $(SOL_LIBS) $(LIBEE_LIBS) $(LIBLOGNORM_LIBS) $(LIBUUID_LIBS) $(LIBGCRYPT_LIBS)
+rsyslogd_LDFLAGS = -export-dynamic
EXTRA_DIST = $(man_MANS) \
rsgtutil.rst \
@@ -71,20 +72,19 @@ rsgtutil_CPPFLAGS = $(RSRT_CFLAGS) $(GUARDTIME_CFLAGS)
rsgtutil_LDADD = ../runtime/librsgt.la $(GUARDTIME_LIBS)
rsgtutil.1: rsgtutil.rst
$(AM_V_GEN) $(RST2MAN) $< $@
-man1_MANS = rsgtutil.1
-CLEANFILES = rsgtutil.1
+man1_MANS += rsgtutil.1
+CLEANFILES += rsgtutil.1
EXTRA_DIST+= rsgtutil.1
endif
if ENABLE_LIBGCRYPT
bin_PROGRAMS += rscryutil
rscryutil = rscryutil.c
rscryutil_CPPFLAGS = -I../runtime $(RSRT_CFLAGS) $(LIBGCRYPT_CFLAGS)
-rscryutil_LDFLAGS = `libgcrypt-config --libs`
rscryutil_LDADD = ../runtime/libgcry.la $(LIBGCRYPT_LIBS)
rscryutil.1: rscryutil.rst
$(AM_V_GEN) $(RST2MAN) $< $@
-man1_MANS = rscryutil.1
-CLEANFILES = rscryutil.1
+man1_MANS += rscryutil.1
+CLEANFILES += rscryutil.1
EXTRA_DIST+= rscryutil.1
endif
endif
diff --git a/tools/Makefile.in b/tools/Makefile.in
index bb7cb0f..f335183 100644
--- a/tools/Makefile.in
+++ b/tools/Makefile.in
@@ -1,8 +1,9 @@
-# Makefile.in generated by automake 1.12.2 from Makefile.am.
+# Makefile.in generated by automake 1.11.3 from Makefile.am.
# @configure_input@
-# Copyright (C) 1994-2012 Free Software Foundation, Inc.
-
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
+# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
@@ -15,23 +16,6 @@
@SET_MAKE@
VPATH = @srcdir@
-am__make_dryrun = \
- { \
- am__dry=no; \
- case $$MAKEFLAGS in \
- *\\[\ \ ]*) \
- echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
- | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
- *) \
- for am__flg in $$MAKEFLAGS; do \
- case $$am__flg in \
- *=*|--*) ;; \
- *n*) am__dry=yes; break;; \
- esac; \
- done;; \
- esac; \
- test $$am__dry = yes; \
- }
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
@@ -56,11 +40,14 @@ bin_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3)
@ENABLE_OMMONGODB_TRUE@@ENABLE_USERTOOLS_TRUE@am__append_2 = logctl
@ENABLE_GUARDTIME_TRUE@@ENABLE_USERTOOLS_TRUE@am__append_3 = rsgtutil
@ENABLE_GUARDTIME_TRUE@@ENABLE_USERTOOLS_TRUE@am__append_4 = rsgtutil.1
-@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@am__append_5 = rscryutil
-@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@am__append_6 = rscryutil.1
+@ENABLE_GUARDTIME_TRUE@@ENABLE_USERTOOLS_TRUE@am__append_5 = rsgtutil.1
+@ENABLE_GUARDTIME_TRUE@@ENABLE_USERTOOLS_TRUE@am__append_6 = rsgtutil.1
+@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@am__append_7 = rscryutil
+@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@am__append_8 = rscryutil.1
+@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@am__append_9 = rscryutil.1
+@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@am__append_10 = rscryutil.1
subdir = tools
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
- $(top_srcdir)/depcomp
+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/atomic_operations.m4 \
$(top_srcdir)/m4/atomic_operations_64bit.m4 \
@@ -91,17 +78,14 @@ am__DEPENDENCIES_1 =
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
-am__v_lt_1 =
am__msggen_SOURCES_DIST = msggen.c
@ENABLE_DIAGTOOLS_TRUE@am_msggen_OBJECTS = msggen.$(OBJEXT)
msggen_OBJECTS = $(am_msggen_OBJECTS)
msggen_LDADD = $(LDADD)
rscryutil_SOURCES = rscryutil.c
rscryutil_OBJECTS = rscryutil-rscryutil.$(OBJEXT)
-@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@rscryutil_DEPENDENCIES = ../runtime/libgcry.la
-rscryutil_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
- $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
- $(rscryutil_LDFLAGS) $(LDFLAGS) -o $@
+@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@rscryutil_DEPENDENCIES = ../runtime/libgcry.la \
+@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@ $(am__DEPENDENCIES_1)
rsgtutil_SOURCES = rsgtutil.c
rsgtutil_OBJECTS = rsgtutil-rsgtutil.$(OBJEXT)
@ENABLE_GUARDTIME_TRUE@@ENABLE_USERTOOLS_TRUE@rsgtutil_DEPENDENCIES = ../runtime/librsgt.la \
@@ -124,7 +108,8 @@ rsyslogd_DEPENDENCIES = ../grammar/libgrammar.la \
../runtime/librsyslog.la $(am__DEPENDENCIES_1) \
$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
- $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
+ $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
+ $(am__DEPENDENCIES_1)
rsyslogd_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
$(rsyslogd_LDFLAGS) $(LDFLAGS) -o $@
@@ -132,18 +117,6 @@ am__zpipe_SOURCES_DIST = zpipe.c
@ENABLE_DIAGTOOLS_TRUE@am_zpipe_OBJECTS = zpipe.$(OBJEXT)
zpipe_OBJECTS = $(am_zpipe_OBJECTS)
zpipe_DEPENDENCIES =
-AM_V_P = $(am__v_P_@AM_V@)
-am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
-am__v_P_0 = false
-am__v_P_1 = :
-AM_V_GEN = $(am__v_GEN_@AM_V@)
-am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
-am__v_GEN_0 = @echo " GEN " $@;
-am__v_GEN_1 =
-AM_V_at = $(am__v_at_@AM_V@)
-am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
-am__v_at_0 = @
-am__v_at_1 =
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
@@ -156,16 +129,20 @@ LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
-am__v_CC_0 = @echo " CC " $@;
-am__v_CC_1 =
+am__v_CC_0 = @echo " CC " $@;
+AM_V_at = $(am__v_at_@AM_V@)
+am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
+am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
-am__v_CCLD_0 = @echo " CCLD " $@;
-am__v_CCLD_1 =
+am__v_CCLD_0 = @echo " CCLD " $@;
+AM_V_GEN = $(am__v_GEN_@AM_V@)
+am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
+am__v_GEN_0 = @echo " GEN " $@;
SOURCES = $(logctl_SOURCES) $(msggen_SOURCES) rscryutil.c rsgtutil.c \
$(rsyslog_diag_hostname_SOURCES) $(rsyslogd_SOURCES) \
$(zpipe_SOURCES)
@@ -173,11 +150,6 @@ DIST_SOURCES = $(am__logctl_SOURCES_DIST) $(am__msggen_SOURCES_DIST) \
rscryutil.c rsgtutil.c \
$(am__rsyslog_diag_hostname_SOURCES_DIST) $(rsyslogd_SOURCES) \
$(am__zpipe_SOURCES_DIST)
-am__can_run_installinfo = \
- case $$AM_UPDATE_INFO_DIR in \
- n|no|NO) false;; \
- *) (install-info --version) >/dev/null 2>&1;; \
- esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
$(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
@@ -274,6 +246,8 @@ LIBEE_CFLAGS = @LIBEE_CFLAGS@
LIBEE_LIBS = @LIBEE_LIBS@
LIBESTR_CFLAGS = @LIBESTR_CFLAGS@
LIBESTR_LIBS = @LIBESTR_LIBS@
+LIBGCRYPT_CFLAGS = @LIBGCRYPT_CFLAGS@
+LIBGCRYPT_LIBS = @LIBGCRYPT_LIBS@
LIBLOGGING_CFLAGS = @LIBLOGGING_CFLAGS@
LIBLOGGING_LIBS = @LIBLOGGING_LIBS@
LIBLOGNORM_CFLAGS = @LIBLOGNORM_CFLAGS@
@@ -319,6 +293,8 @@ PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
PTHREADS_CFLAGS = @PTHREADS_CFLAGS@
PTHREADS_LIBS = @PTHREADS_LIBS@
+RABBITMQ_CFLAGS = @RABBITMQ_CFLAGS@
+RABBITMQ_LIBS = @RABBITMQ_LIBS@
RANLIB = @RANLIB@
RELP_CFLAGS = @RELP_CFLAGS@
RELP_LIBS = @RELP_LIBS@
@@ -396,6 +372,8 @@ target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
+CLEANFILES = $(am__append_5) $(am__append_9)
+man1_MANS = $(am__append_4) $(am__append_8)
man_MANS = rsyslogd.8 rsyslog.conf.5
rsyslogd_SOURCES = \
syslogd.c \
@@ -435,11 +413,10 @@ rsyslogd_CPPFLAGS = $(PTHREADS_CFLAGS) $(RSRT_CFLAGS)
# note: it looks like librsyslog.la must be explicitely given on LDDADD,
# otherwise dependencies are not properly calculated (resulting in a
# potentially incomplete build, a problem we had several times...)
-rsyslogd_LDADD = ../grammar/libgrammar.la ../runtime/librsyslog.la $(ZLIB_LIBS) $(PTHREADS_LIBS) $(RSRT_LIBS) $(SOL_LIBS) $(LIBEE_LIBS) $(LIBLOGNORM_LIBS) $(LIBUUID_LIBS)
-rsyslogd_LDFLAGS = -export-dynamic `libgcrypt-config --libs`
-#rsyslogd_LDFLAGS = -export-dynamic $(LIBGCRYPT_LIBS)
+rsyslogd_LDADD = ../grammar/libgrammar.la ../runtime/librsyslog.la $(ZLIB_LIBS) $(PTHREADS_LIBS) $(RSRT_LIBS) $(SOL_LIBS) $(LIBEE_LIBS) $(LIBLOGNORM_LIBS) $(LIBUUID_LIBS) $(LIBGCRYPT_LIBS)
+rsyslogd_LDFLAGS = -export-dynamic
EXTRA_DIST = $(man_MANS) rsgtutil.rst rscryutil.rst recover_qi.pl \
- $(am__append_4) $(am__append_6)
+ $(am__append_6) $(am__append_10)
@ENABLE_DIAGTOOLS_TRUE@rsyslog_diag_hostname_SOURCES = gethostn.c
@ENABLE_DIAGTOOLS_TRUE@zpipe_SOURCES = zpipe.c
@ENABLE_DIAGTOOLS_TRUE@zpipe_LDADD = -lz
@@ -450,13 +427,8 @@ EXTRA_DIST = $(man_MANS) rsgtutil.rst rscryutil.rst recover_qi.pl \
@ENABLE_GUARDTIME_TRUE@@ENABLE_USERTOOLS_TRUE@rsgtutil = rsgtutil.c
@ENABLE_GUARDTIME_TRUE@@ENABLE_USERTOOLS_TRUE@rsgtutil_CPPFLAGS = $(RSRT_CFLAGS) $(GUARDTIME_CFLAGS)
@ENABLE_GUARDTIME_TRUE@@ENABLE_USERTOOLS_TRUE@rsgtutil_LDADD = ../runtime/librsgt.la $(GUARDTIME_LIBS)
-@ENABLE_GUARDTIME_TRUE@@ENABLE_USERTOOLS_TRUE@man1_MANS = rsgtutil.1
-@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@man1_MANS = rscryutil.1
-@ENABLE_GUARDTIME_TRUE@@ENABLE_USERTOOLS_TRUE@CLEANFILES = rsgtutil.1
-@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@CLEANFILES = rscryutil.1
@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@rscryutil = rscryutil.c
@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@rscryutil_CPPFLAGS = -I../runtime $(RSRT_CFLAGS) $(LIBGCRYPT_CFLAGS)
-@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@rscryutil_LDFLAGS = `libgcrypt-config --libs`
@ENABLE_LIBGCRYPT_TRUE@@ENABLE_USERTOOLS_TRUE@rscryutil_LDADD = ../runtime/libgcry.la $(LIBGCRYPT_LIBS)
all: all-am
@@ -494,11 +466,8 @@ $(ACLOCAL_M4): $(am__aclocal_m4_deps)
$(am__aclocal_m4_deps):
install-binPROGRAMS: $(bin_PROGRAMS)
@$(NORMAL_INSTALL)
+ test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
- if test -n "$$list"; then \
- echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
- fi; \
for p in $$list; do echo "$$p $$p"; done | \
sed 's/$(EXEEXT)$$//' | \
while read p p1; do if test -f $$p || test -f $$p1; \
@@ -540,11 +509,8 @@ clean-binPROGRAMS:
rm -f $$list
install-sbinPROGRAMS: $(sbin_PROGRAMS)
@$(NORMAL_INSTALL)
+ test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
- if test -n "$$list"; then \
- echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
- fi; \
for p in $$list; do echo "$$p $$p"; done | \
sed 's/$(EXEEXT)$$//' | \
while read p p1; do if test -f $$p || test -f $$p1; \
@@ -592,7 +558,7 @@ msggen$(EXEEXT): $(msggen_OBJECTS) $(msggen_DEPENDENCIES) $(EXTRA_msggen_DEPENDE
$(AM_V_CCLD)$(LINK) $(msggen_OBJECTS) $(msggen_LDADD) $(LIBS)
rscryutil$(EXEEXT): $(rscryutil_OBJECTS) $(rscryutil_DEPENDENCIES) $(EXTRA_rscryutil_DEPENDENCIES)
@rm -f rscryutil$(EXEEXT)
- $(AM_V_CCLD)$(rscryutil_LINK) $(rscryutil_OBJECTS) $(rscryutil_LDADD) $(LIBS)
+ $(AM_V_CCLD)$(LINK) $(rscryutil_OBJECTS) $(rscryutil_LDADD) $(LIBS)
rsgtutil$(EXEEXT): $(rsgtutil_OBJECTS) $(rsgtutil_DEPENDENCIES) $(EXTRA_rsgtutil_DEPENDENCIES)
@rm -f rsgtutil$(EXEEXT)
$(AM_V_CCLD)$(LINK) $(rsgtutil_OBJECTS) $(rsgtutil_LDADD) $(LIBS)
@@ -914,18 +880,11 @@ clean-libtool:
-rm -rf .libs _libs
install-man1: $(man1_MANS) $(man_MANS)
@$(NORMAL_INSTALL)
- @list1='$(man1_MANS)'; \
- list2='$(man_MANS)'; \
- test -n "$(man1dir)" \
- && test -n "`echo $$list1$$list2`" \
- || exit 0; \
- echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
- { for i in $$list1; do echo "$$i"; done; \
- if test -n "$$list2"; then \
- for i in $$list2; do echo "$$i"; done \
- | sed -n '/\.1[a-z]*$$/p'; \
- fi; \
+ test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
+ @list='$(man1_MANS)'; test -n "$(man1dir)" || exit 0; \
+ { for i in $$list; do echo "$$i"; done; \
+ l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
+ sed -n '/\.1[a-z]*$$/p'; \
} | while read p; do \
if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
echo "$$d$$p"; echo "$$p"; \
@@ -957,18 +916,11 @@ uninstall-man1:
dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
install-man5: $(man_MANS)
@$(NORMAL_INSTALL)
- @list1=''; \
- list2='$(man_MANS)'; \
- test -n "$(man5dir)" \
- && test -n "`echo $$list1$$list2`" \
- || exit 0; \
- echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
- { for i in $$list1; do echo "$$i"; done; \
- if test -n "$$list2"; then \
- for i in $$list2; do echo "$$i"; done \
- | sed -n '/\.5[a-z]*$$/p'; \
- fi; \
+ test -z "$(man5dir)" || $(MKDIR_P) "$(DESTDIR)$(man5dir)"
+ @list=''; test -n "$(man5dir)" || exit 0; \
+ { for i in $$list; do echo "$$i"; done; \
+ l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
+ sed -n '/\.5[a-z]*$$/p'; \
} | while read p; do \
if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
echo "$$d$$p"; echo "$$p"; \
@@ -1000,18 +952,11 @@ uninstall-man5:
dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
install-man8: $(man_MANS)
@$(NORMAL_INSTALL)
- @list1=''; \
- list2='$(man_MANS)'; \
- test -n "$(man8dir)" \
- && test -n "`echo $$list1$$list2`" \
- || exit 0; \
- echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
- { for i in $$list1; do echo "$$i"; done; \
- if test -n "$$list2"; then \
- for i in $$list2; do echo "$$i"; done \
- | sed -n '/\.8[a-z]*$$/p'; \
- fi; \
+ test -z "$(man8dir)" || $(MKDIR_P) "$(DESTDIR)$(man8dir)"
+ @list=''; test -n "$(man8dir)" || exit 0; \
+ { for i in $$list; do echo "$$i"; done; \
+ l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
+ sed -n '/\.8[a-z]*$$/p'; \
} | while read p; do \
if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
echo "$$d$$p"; echo "$$p"; \
@@ -1091,20 +1036,6 @@ GTAGS:
&& $(am__cd) $(top_srcdir) \
&& gtags -i $(GTAGS_ARGS) "$$here"
-cscopelist: $(HEADERS) $(SOURCES) $(LISP)
- list='$(SOURCES) $(HEADERS) $(LISP)'; \
- case "$(srcdir)" in \
- [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
- *) sdir=$(subdir)/$(srcdir) ;; \
- esac; \
- for i in $$list; do \
- if test -f "$$i"; then \
- echo "$(subdir)/$$i"; \
- else \
- echo "$$sdir/$$i"; \
- fi; \
- done >> $(top_builddir)/cscope.files
-
distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
@@ -1115,10 +1046,10 @@ distdir: $(DISTFILES)
if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
if test -n "$$list" && \
grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
- echo "error: found man pages containing the 'missing help2man' replacement text:" >&2; \
+ echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/ /' >&2; \
echo " to fix them, install help2man, remove and regenerate the man pages;" >&2; \
- echo " typically 'make maintainer-clean' will remove them" >&2; \
+ echo " typically \`make maintainer-clean' will remove them" >&2; \
exit 1; \
else :; fi; \
else :; fi
@@ -1266,16 +1197,16 @@ uninstall-man: uninstall-man1 uninstall-man5 uninstall-man8
.MAKE: install-am install-strip
.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
- clean-generic clean-libtool clean-sbinPROGRAMS cscopelist \
- ctags distclean distclean-compile distclean-generic \
- distclean-libtool distclean-tags distdir dvi dvi-am html \
- html-am info info-am install install-am install-binPROGRAMS \
- install-data install-data-am install-dvi install-dvi-am \
- install-exec install-exec-am install-html install-html-am \
- install-info install-info-am install-man install-man1 \
- install-man5 install-man8 install-pdf install-pdf-am \
- install-ps install-ps-am install-sbinPROGRAMS install-strip \
- installcheck installcheck-am installdirs maintainer-clean \
+ clean-generic clean-libtool clean-sbinPROGRAMS ctags distclean \
+ distclean-compile distclean-generic distclean-libtool \
+ distclean-tags distdir dvi dvi-am html html-am info info-am \
+ install install-am install-binPROGRAMS install-data \
+ install-data-am install-dvi install-dvi-am install-exec \
+ install-exec-am install-html install-html-am install-info \
+ install-info-am install-man install-man1 install-man5 \
+ install-man8 install-pdf install-pdf-am install-ps \
+ install-ps-am install-sbinPROGRAMS install-strip installcheck \
+ installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-compile \
mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
tags uninstall uninstall-am uninstall-binPROGRAMS \
diff --git a/tools/omfile.c b/tools/omfile.c
index 46d882b..ba9f7f7 100644
--- a/tools/omfile.c
+++ b/tools/omfile.c
@@ -1200,7 +1200,7 @@ CODESTARTnewActInst
// TODO: create unified code for this (legacy+v6 system)
/* we now allocate the cache table */
CHKmalloc(pData->dynCache = (dynaFileCacheEntry**)
- calloc(cs.iDynaFileCacheSize, sizeof(dynaFileCacheEntry*)));
+ calloc(pData->iDynaFileCacheSize, sizeof(dynaFileCacheEntry*)));
pData->iCurrElt = -1; /* no current element */
}
// TODO: add pData->iSizeLimit = 0; /* default value, use outchannels to configure! */
diff --git a/tools/rscryutil.1 b/tools/rscryutil.1
deleted file mode 100644
index c5083ee..0000000
--- a/tools/rscryutil.1
+++ /dev/null
@@ -1,205 +0,0 @@
-.\" Man page generated from reStructuredText.
-.
-.TH RSCRYUTIL 1 "2013-04-15" "" ""
-.SH NAME
-rscryutil \- Manage Encrypted Log Files
-.
-.nr rst2man-indent-level 0
-.
-.de1 rstReportMargin
-\\$1 \\n[an-margin]
-level \\n[rst2man-indent-level]
-level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
--
-\\n[rst2man-indent0]
-\\n[rst2man-indent1]
-\\n[rst2man-indent2]
-..
-.de1 INDENT
-.\" .rstReportMargin pre:
-. RS \\$1
-. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
-. nr rst2man-indent-level +1
-.\" .rstReportMargin post:
-..
-.de UNINDENT
-. RE
-.\" indent \\n[an-margin]
-.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
-.nr rst2man-indent-level -1
-.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
-.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
-..
-.SH SYNOPSIS
-.INDENT 0.0
-.INDENT 3.5
-.sp
-.nf
-.ft C
-rscryutil [OPTIONS] [FILE] ...
-.ft P
-.fi
-.UNINDENT
-.UNINDENT
-.SH DESCRIPTION
-.sp
-This tool performs various operations on encrypted log files.
-Most importantly, it provides the ability to decrypt them.
-.SH OPTIONS
-.INDENT 0.0
-.TP
-.B \-d, \-\-decrypt
-Select decryption mode. This is the default mode.
-.TP
-.BI \-W, \-\-write\-keyfile \ <file>
-Utility function to write a key to a keyfile. The key can be obtained
-via any method.
-.TP
-.B \-v, \-\-verbose
-Select verbose mode.
-.TP
-.B \-f, \-\-force
-Forces operations that otherwise would fail.
-.TP
-.BI \-k, \-\-keyfile \ <file>
-Reads the key from <file>. File _must_ contain the key, only, no headers
-or other meta information. Keyfiles can be generated via the
-\fI\-\-write\-keyfile\fP option.
-.TP
-.BI \-p, \-\-key\-program \ <path\-to\-program>
-In this mode, the key is provided by a so\-called "key program". This program
-is executed and must return the key to (as well as some meta information)
-via stdout. The core idea of key programs is that using this interface the
-user can implement as complex (and secure) method to obtain keys as
-desired, all without the need to make modifications to rsyslog.
-.TP
-.BI \-K, \-\-key \ <KEY>
-TESTING AID, NOT FOR PRODUCTION USE. This uses the KEY specified
-on the command line. This is the actual key, and as such this mode
-is highly insecure. However, it can be useful for intial testing
-steps. This option may be removed in the future.
-.TP
-.BI \-a, \-\-algo \ <algo>
-Sets the encryption algorightm (cipher) to be used. See below
-for supported algorithms. The default is "AES128".
-.TP
-.BI \-m, \-\-mode \ <mode>
-Sets the ciphermode to be used. See below for supported modes.
-The default is "CBC".
-.TP
-.BI \-r, \-\-generate\-random\-key \ <bytes>
-Generates a random key of length <bytes>. This option is
-meant to be used together with \fI\-\-write\-keyfile\fP (and it is hard
-to envision any other valid use for it).
-.UNINDENT
-.SH OPERATION MODES
-.sp
-The operation mode specifies what exactly the tool does with the provided
-files. The default operation mode is "dump", but this may change in the future.
-Thus, it is recommended to always set the operations mode explicitely. If
-multiple operations mode are set on the command line, results are
-unpredictable.
-.SS decrypt
-.sp
-The provided log files are decrypted. Note that the \fI.encinfo\fP side files
-must exist and be accessible in order for decryption to to work.
-.SS write\-keyfile
-.sp
-In this mode no log files are processed; thus it is an error to specify
-any on the command line. The specified keyfile is written. The key itself
-is obtained via the usual key commands. If \fI\-\-keyfile\fP is used, that
-file is effectively copied.
-.sp
-For security reasons, existing key files are _not_ overwritten. To permit
-this, specify the \fI\-\-force\fP option. When doing so, keep in mind that lost
-keys cannot be recovered and data encrypted with them may also be considered
-lost.
-.sp
-Keyfiles are always created with 0400 permission, that is read access for only
-the user. An exception is when an existing file is overwritten via the
-\fI\-\-force\fP option, in which case the former permissions still apply.
-.SH EXIT CODES
-.sp
-The command returns an exit code of 0 if everything went fine, and some
-other code in case of failures.
-.SH SUPPORTED ALGORITHMS
-.sp
-We basically support what libgcrypt supports. This is:
-.INDENT 0.0
-.INDENT 3.5
-3DES
-CAST5
-BLOWFISH
-AES128
-AES192
-AES256
-TWOFISH
-TWOFISH128
-ARCFOUR
-DES
-SERPENT128
-SERPENT192
-SERPENT256
-RFC2268_40
-SEED
-CAMELLIA128
-CAMELLIA192
-CAMELLIA256
-.UNINDENT
-.UNINDENT
-.SH SUPPORTED CIPHER MODES
-.sp
-We basically support what libgcrypt supports. This is:
-.INDENT 0.0
-.INDENT 3.5
-ECB
-CFB
-CBC
-STREAM
-OFB
-CTR
-AESWRAP
-.UNINDENT
-.UNINDENT
-.SH EXAMPLES
-.sp
-\fBrscryutil logfile\fP
-.sp
-Decrypts "logfile" and sends data to stdout.
-.sp
-\fBrscryutil \-\-generate\-random\-key 16 \-\-keyfile /some/secured/path/keyfile\fP
-.sp
-Generates random key and stores it in the specified keyfile.
-.SH LOG SIGNATURES
-.sp
-Encrypted log files can be used together with signing. To verify such a file,
-it must be decrypted first, and the verification tool \fBrsgtutil(1)\fP must be
-run on the decrypted file.
-.SH SECURITY CONSIDERATIONS
-.sp
-Specifying keys directly on the command line (\fI\-\-key\fP option) is very
-insecure and should
-not be done, except for testing purposes with test keys. Even then it is
-recommended to use keyfiles, which are also easy to handle during testing.
-Keep in mind that command history is usally be kept by bash and can also
-easily be monitored.
-.sp
-Local keyfiles are also a security risk. At a minimum, they should be
-used with very restrictive file permissions. For this reason,
-the \fIrscryutil\fP tool creates them with read permissions for the user,
-only, no matter what umask is set to.
-.sp
-When selecting cipher algorithms and modes, care needs to be taken. The
-defaults should be reasonable safe to use, but this tends to change over
-time. Keep up with the most current crypto recommendations.
-.SH SEE ALSO
-.sp
-\fBrsgtutil(1)\fP, \fBrsyslogd(8)\fP
-.SH COPYRIGHT
-.sp
-This page is part of the \fIrsyslog\fP project, and is available under
-LGPLv2.
-.SH AUTHOR
-Rainer Gerhards <rgerhards@adiscon.com>
-.\" Generated by docutils manpage writer.
-.
diff --git a/tools/rsgtutil.1 b/tools/rsgtutil.1
deleted file mode 100644
index 2083db5..0000000
--- a/tools/rsgtutil.1
+++ /dev/null
@@ -1,182 +0,0 @@
-.\" Man page generated from reStructuredText.
-.
-.TH RSGTUTIL 1 "2013-03-25" "" ""
-.SH NAME
-rsgtutil \- Manage (GuardTime) Signed Log Files
-.
-.nr rst2man-indent-level 0
-.
-.de1 rstReportMargin
-\\$1 \\n[an-margin]
-level \\n[rst2man-indent-level]
-level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
--
-\\n[rst2man-indent0]
-\\n[rst2man-indent1]
-\\n[rst2man-indent2]
-..
-.de1 INDENT
-.\" .rstReportMargin pre:
-. RS \\$1
-. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
-. nr rst2man-indent-level +1
-.\" .rstReportMargin post:
-..
-.de UNINDENT
-. RE
-.\" indent \\n[an-margin]
-.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
-.nr rst2man-indent-level -1
-.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
-.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
-..
-.SH SYNOPSIS
-.INDENT 0.0
-.INDENT 3.5
-.sp
-.nf
-.ft C
-rsgtutil [OPTIONS] [FILE] ...
-.ft P
-.fi
-.UNINDENT
-.UNINDENT
-.SH DESCRIPTION
-.sp
-This tool performs various maintenance operations on signed log files.
-It specifically supports the GuardTime signature provider.
-.sp
-The \fIrsgtutil\fP tool is the primary tool to verify log file signatures,
-dump signature file contents and carry out other maintenance operations.
-The tool offers different operation modes, which are selected via
-command line options.
-.sp
-The processing of multiple files is permitted. Depending on operation
-mode, either the signature file or the base log file must be specified.
-Within a single call, only a single operations mode is permitted. To
-use different modes on different files, multiple calles, one for each
-mode, must be made.
-.sp
-If no file is specified on the command line, stdin is used instead. Note
-that not all operation modes support stdin.
-.SH OPTIONS
-.INDENT 0.0
-.TP
-.B \-D, \-\-dump
-Select "dump" operations mode.
-.TP
-.B \-t, \-\-verify
-Select "verify" operations mode.
-.TP
-.B \-T, \-\-detect\-file\-type
-Select "detect\-file\-type" operations mode.
-.TP
-.B \-B, \-\-show\-sigblock\-params
-Select "show\-sigblock\-params" operations mode.
-.TP
-.B \-s, \-\-show\-verified
-Prints out information about correctly verified blocks (by default, only
-errors are printed).
-.TP
-.B \-v, \-\-verbose
-Select verbose mode. Most importantly, hashes and signatures are printed
-in full length (can be \fBvery\fP lengthy) rather than the usual abbreviation.
-.TP
-.B \-e, \-\-extend
-Select extend mode. This extends the RFC3161 signatures. Note that this
-mode also implies a full verification. If there are verify errors, extending
-will also fail.
-.TP
-.BI \-P \ <URL>, \ \-\-publications\-server \ <URL>
-Sets the publications server. If not set but required by the operation a
-default server is used. The default server is not necessarily optimal
-in regard to performance and reliability.
-.UNINDENT
-.SH OPERATION MODES
-.sp
-The operation mode specifies what exactly the tool does with the provided
-files. The default operation mode is "dump", but this may change in the future.
-Thus, it is recommended to always set the operations mode explicitely. If
-multiple operations mode are set on the command line, results are
-unpredictable.
-.SS dump
-.sp
-The provided \fIsignature\fP files are dumped. For each top\-level record, the*u
-type code is printed as well as q short description. If there is additional
-information available, it will be printed in tab\-indented lines below the
-main record dump. The actual \fIlog\fP files need not to be present.
-.SS verify
-.sp
-This mode does not work with stdin. On the command line, the \fIlog\fP file names
-are specified. The corresponding \fIsignature\fP files (ending on ".gtsig") must also
-be preset at the same location as the log file. In verify mode, both the log
-and signature file is read and the validity of the log file checked. If verification
-errors are detected these are printed and processing of the file aborted. By default,
-each file is verified individually, without taking cross\-file hash chains into
-account (so the order of files on the command line does not matter).
-.sp
-Note that the actual amount of what can be verified depends on the parameters with
-which the signature file was written. If record and tree hashes are present, they
-will be verified and thus fine\-granular error reporting is possible. If they are
-not present, only the block signature itself is verified.
-.sp
-By default, only errors are printed. To also print successful verifications, use the
-\fB\-\-show\-verified\fP option.
-.SS extend
-.sp
-This extends the RFC3161 signatures. This includes a full verification
-of the file. If there are verification errors, extending will also fail.
-Note that a signature can only be extended when the required hash has been
-published. Currently, these hashes are created at the 15th of each month at
-0:00hrs UTC. It takes another few days to get them finally published. As such,
-it can be assumed that extending is only possible after this happend (which
-means it may take slightly above a month).
-.sp
-To prevent data corruption, a copy of the signature file is created during
-extension. So there must be enough disk space available for both files,
-otherwise the operation will fail. If the log file is named logfile, the
-signature file is logfile.gtsig and the temporary work file is named
-logfile.gtsig.new. When extending finished successfully, the original
-signature file (logfile.gtsig in our example) is renamed with the .old
-postfix (logfile.gtsig.old) and the temporary file written under the
-original name. The .old file can be deleted. It is just kept as a
-precaution to prevent signature loss. Note that any already existing
-.old or .new files are overwritten by these operations.
-.SS detect\-file\-type
-.sp
-This mode is used to detect the type of some well\-know files used inside the
-signature system. The detection is based on the file header. This mode is
-primarily a debug aid.
-.SS show\-sigblock\-params
-.sp
-This mode is used to print signature block parameters. It is similar to \fIdump\fP
-mode, but will ignore everything except signature blocks. Also, some additional
-meta information is printed. This mode is primarily a debug aid.
-.SH EXIT CODES
-.sp
-The command returns an exit code of 0 if everything went fine, and some
-other code in case of failures.
-.SH EXAMPLES
-.sp
-\fBrsgtutil \-\-verify logfile\fP
-.sp
-This verifies the file "logfile" via its associated signature file
-"logfile.gtsig". If errors are detected, these are reported to stderr.
-Otherwise, rsgtutil terminates without messages.
-.sp
-\fBrsgtutil \-\-dump logfile.gtsig\fP
-.sp
-This dumps the content of the signature file "logfile.gtsig". The
-actual log file is not being processed and does not even need to be
-present.
-.SH SEE ALSO
-.sp
-\fBrsyslogd(8)\fP
-.SH COPYRIGHT
-.sp
-This page is part of the \fIrsyslog\fP project, and is available under
-LGPLv2.
-.SH AUTHOR
-Rainer Gerhards <rgerhards@adiscon.com>
-.\" Generated by docutils manpage writer.
-.